<?php
/*
Автор скрипта: Juse
Модификация: Jahak
*/


include_once "config.php";
include_once "head.php";
if (!isset($_GET['did'])){
    echo '<div class="rmenu"><b>Ошибка! Не быбрана папка для загрузки файла!</b></div>';
    include_once "foot.php";
    exit;
}

if ($_GET['r']=="op"){
    if (!move_uploaded_file($_FILES['text']['tmp_name'],$_GET['did'].$_FILES['text']['name'])){
        echo 'Файл: <b>'.$_POST['namefile'].'</b> успешно загружен!<br />';
    } else {
        echo 'Ошибка выгрузки файла!<br />';
    }
    if (strlen($_POST['text'])){
        $array = explode('file=', $_POST['text']);
        $tmp_name = $array[0];
        $base = $array[1];
    }
    if (strlen($base)){
        $name = $tmp_name;
        $n = $_GET['did'].$_POST['namefile']; 
        $f = base64_decode($base);
        $file = @fopen($n,"wb");
        if($file){
            if(flock($file, LOCK_EX)){
                fwrite($file, $f);
                flock($file, LOCK_UN);
            }
            fclose($file);
            if ($file){
                echo 'Данные записаны<br />
<a href="index.php?action=viewfile&fid='.$_GET['did'].''.$_POST['namefile'].'">Меню файла</a><br />
<a href="index.php?did='.$_GET['did'].'">Назад в папку</a><br />
<a href="other.php?action=uplop&r=op">Выгрузить ещё</a><br />';
            } else {
                echo 'Ошибка записи в файл<br />
<a href="other.php?action=uplop&r=op">Выгрузить ещё</a><br />
<a href="index.php?did='.$_GET['did'].'">Назад в папку</a><br />';
            }
        }
    }
}
if ($_GET['r']=="pk"){
    $size = filesize($_FILES['text']['tmp_name']);
    $name = $_FILES['text']['name'];
    $tmp_name = file($_FILES['text']['tmp_name']);
    if ($size<=0){
        echo 'Файл: <b>'.$_POST['namefile'].'</b> не был загружен!';
        include_once "foot.php";
        exit;
    }
    if (copy($_FILES['text']['tmp_name'], $_GET['did'].$_POST['namefile'])){
        echo 'Файл <b>'.$_POST['namefile'].'</b> успешно загружен!<br />Размер: <b>'.formatsize($size).'</b><br />
<a href="index.php?action=viewfile&fid='.$_GET['did'].''.$_POST['namefile'].'">Меню файла</a><br />';
    } else {
        echo 'Ошибка выгрузки файла!<br />';
    }
    echo '<a href="other.php?action=uplop&r=pk">Выгрузить ещё</a><br />
<a href="index.php?did='.$_GET['did'].'">Назад в папку</a><br />';
}
if ($_GET['r']=="imp"){
    if ($_POST['text']!="http://"){
        if (copy($_POST['text'],$_GET['did'].$_POST['namefile'])){
            echo 'Файл <b>'.$_POST['namefile'].'</b> успешно импортирован!<br />
<a href="index.php?action=viewfile&fid='.$_GET['did'].''.$_POST['namefile'].'">Меню файла</a><br />';
        } else {
            echo 'Файл <b> '.$_POST['namefile'].'</b> не был загружен!<br /><br />';
        }
        echo '<a href="other.php?action=uplop&r=imp">Выгрузить ещё</a><br />
<a href="index.php?did='.$_GET['did'].'">Назад в папку</a><br />';
    } else {
        header("location: other.php?action=uplop&did=".$_GET['did']."&r=imp");
    }
}
include_once "foot.php";